Loading...
Searching...
No Matches
Opm::EQUIL::Details::PressureTable< FluidSystem, Region > Class Template Reference

## Public Types

using | Scalar = typename FluidSystem::Scalar
using | VSpan = std::array<Scalar, 2>

## Public Member Functions

| PressureTable (const Scalar gravity, const int samplePoints=2000)
| Constructor.
| PressureTable (const PressureTable &rhs)
| Copy constructor.
| PressureTable (PressureTable &&rhs)
| Move constructor.
PressureTable & | operator= (const PressureTable &rhs)
| Assignment operator.
PressureTable & | operator= (PressureTable &&rhs)
| Move-assignment operator.
void | equilibrate (const Region &reg, const VSpan &span)
bool | oilActive () const
| Predicate for whether or not oil is an active phase.
bool | gasActive () const
| Predicate for whether or not gas is an active phase.
bool | waterActive () const
| Predicate for whether or not water is an active phase.
Scalar | oil (const Scalar depth) const
| Evaluate oil phase pressure at specified depth.
Scalar | gas (const Scalar depth) const
| Evaluate gas phase pressure at specified depth.
Scalar | water (const Scalar depth) const
| Evaluate water phase pressure at specified depth.

## Constructor & Destructor Documentation

## PressureTable() [1/3]

template<class FluidSystem, class Region>

Opm::EQUIL::Details::PressureTable< FluidSystem, Region >::PressureTable | ( | const Scalar | gravity,
|  | const int | samplePoints = 2000 )

explicit

Constructor.

Parameters

  [in] | gravity | Norm of gravity vector (acceleration strength due to gravity). Normally the standardised value at Tellus equator (9.80665 m/s^2).
  [in] | samplePoints | Number of equally spaced depth sample points in each internal phase pressure table.

## PressureTable() [2/3]

template<class FluidSystem, class Region>

Opm::EQUIL::Details::PressureTable< FluidSystem, Region >::PressureTable | ( | const PressureTable< FluidSystem, Region > & | rhs | ) |

Copy constructor.

Parameters

  [in] | rhs | Source object for copy initialization.

## PressureTable() [3/3]

template<class FluidSystem, class Region>

Opm::EQUIL::Details::PressureTable< FluidSystem, Region >::PressureTable | ( | PressureTable< FluidSystem, Region > && | rhs | ) |

Move constructor.

Parameters

  [in,out] | rhs | Source object for move initialization. On output, left in a moved-from ("valid but unspecified") state. Internal pointers in `rhs` are null (`unique_ptr` guarantee).

## Member Function Documentation

## gas()

template<class FluidSystem, class Region>

FluidSystem::Scalar Opm::EQUIL::Details::PressureTable< FluidSystem, Region >::gas | ( | const Scalar | depth | ) | const

Evaluate gas phase pressure at specified depth.

Parameters

  [in] | depth | Depth of evaluation point. Should generally be within the `span` from the previous call to equilibrate() .

Returns
  Gas phase pressure at specified depth.

## oil()

template<class FluidSystem, class Region>

FluidSystem::Scalar Opm::EQUIL::Details::PressureTable< FluidSystem, Region >::oil | ( | const Scalar | depth | ) | const

Evaluate oil phase pressure at specified depth.

Parameters

  [in] | depth | Depth of evaluation point. Should generally be within the `span` from the previous call to equilibrate() .

Returns
  Oil phase pressure at specified depth.

## operator=() [1/2]

template<class FluidSystem, class Region>

PressureTable< FluidSystem, Region > & Opm::EQUIL::Details::PressureTable< FluidSystem, Region >::operator= | ( | const PressureTable< FluidSystem, Region > & | rhs | ) |

Assignment operator.

Parameters

  [in] | rhs | Source object.

Returns
  *this
  .

## operator=() [2/2]

template<class FluidSystem, class Region>

PressureTable< FluidSystem, Region > & Opm::EQUIL::Details::PressureTable< FluidSystem, Region >::operator= | ( | PressureTable< FluidSystem, Region > && | rhs | ) |

Move-assignment operator.

Parameters

  [in] | rhs | Source object. On output, left in a moved-from ("valid but unspecified") state. Internal pointers in `rhs` are null (`unique_ptr` guarantee).

Returns
  *this
  .

## water()

template<class FluidSystem, class Region>

FluidSystem::Scalar Opm::EQUIL::Details::PressureTable< FluidSystem, Region >::water | ( | const Scalar | depth | ) | const

Evaluate water phase pressure at specified depth.

Parameters

  [in] | depth | Depth of evaluation point. Should generally be within the `span` from the previous call to equilibrate() .

Returns
  Water phase pressure at specified depth.

The documentation for this class was generated from the following files:

- opm/simulators/flow/equil/InitStateEquil.hpp
- opm/simulators/flow/equil/InitStateEquil_impl.hpp